<?php
 ##################################################################
 ## Development by CoMMoN web site author http://mirmastera.ru   ##
 ## fportal web site scripts http://fportal.tk                   ##
 ## All rights reserved authors                                  ##
 ##################################################################
$act_name = 'Пользователи'; //Имя действия
require_once(ROOT.'/kernel/kernelhead.php'); //Подключение шапки
echo '<div class="title">'.$act_name.'</div>'; //Вывод заголовка

//Проверка наличия юзеров
$sql = "SELECT COUNT(*) FROM ".PREFIX."users";  
if ($STH = $mysql->query($sql)) {  
$STH = $STH -> fetch_row();
$STH = $STH[0]; 
if ($STH > 0) {

//Всё необходимое для пагинации
$page = !empty($_GET['page']) ? abs((int)$_GET['page']) : 1; //Номер страницы 
$urlp = "/?mod=user"; //URL модуля
$pnumber = "10"; //Кол-во элементов на страницу 
$smtpus = one($mysql->query('SELECT COUNT(*) FROM '.PREFIX.'users'));
$colp = $smtpus; //Кол-во юзеров
//Вызов класса пагинации
$navig = new Navigation($pnumber, $page, $colp, $urlp); 
$navig->navi();

//Вывод юзеров
$query_users = $mysql -> query("SELECT * FROM `".PREFIX."users` ORDER BY `last` DESC LIMIT ".$navig->begin.", ".$navig->pnumber.";");
$i = 0;
while ($data = $query_users -> fetch_assoc()) {
++$i;
echo '<div class="menu"> 
<a class="touch" href="/?mod=user&amp;act=view&amp;id='.filtr($data['id']).'"><b class="'.online(filtr($data['last'])).'">'.filtr($data['login']).'</b>  ';
 if ($data['level'] == 2) {
echo ' <i style="color: blue;">(Модератор)</i>';
}
if ($data['level'] == 3) {
echo ' <i style="color: red;">(Администратор)</i>';
}
echo'</a></div>';
} //Конец цикла
$navig->Navigation(); //Вывод пагинации
} //Конец вывода
else {echo 'Пользователей нет!';} //Уведомление об отсутствии юзеров
} //Конец проверки

//print_r($_SERVER);

require_once(ROOT.'/kernel/kernelfoot.php'); //Вывод ног
?>
